%define name    Guppi
%define version 0.35.5
%define release 7mdk 
%define major 11

Summary: GNOME Data Analysis and Visualization
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/guppi/Guppi-%{version}.tar.bz2
Source1: %{name}-48.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}-16.xpm.bz2

Url: http://www.gnome.org/guppi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: guile >= 1.3.4
Requires: gnome-print
Requires: gdk-pixbuf >= 0.8.0 
Requires: gdk-pixbuf-gnomecanvas >= 0.8.0
Requires: pythonlib 
Requires: bonobo
# temporary solution...
Requires: guile-devel

BuildRequires: bonobo-devel
BuildRequires: db1-devel
BuildRequires: flex
BuildRequires: gdk-pixbuf-devel >= 0.8.0 
BuildRequires: guile-devel
BuildRequires: gnome-print-devel
BuildRequires: libglade0-devel
BuildRequires: oaf-devel
BuildRequires: popt-devel
BuildRequires: python-devel
BuildRequires: pythonlib 
BuildRequires: gnumeric-devel >= 0.67

%description
GNOME is the GNU Network Object Model Environment. 
This powerful environment is both easy to use and easy to configure.

This package will install Guppi, a GNOME-based data analysis and visualization system.
Install this package if you want to test Guppi.

# -- Lib Package --
%package -n libguppi%{major}
Summary:        Libraries for Guppi
Group:          System/Libraries
%description -n libguppi%{major}
This package provides libraries to use Guppi.


# -- Devel Package --
%package -n libguppi%{major}-devel
Summary: Development files for Guppi.
Group: Development/C
Requires: %{name} = %{version}
Requires: libguppi%{major} = %{version}
Provides: libguppi-devel
%description -n libguppi%{major}-devel

Development files for Guppi.




%prep
%setup -q -n %{name}-%{version}

%build
%configure --enable-gnumeric 
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/guppi" needs="X11" \
icon="%{name}.xpm" section="Office/Graphs" \
title="Guppi" longtitle="GNOME-based data analysis and visualization system"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm


%find_lang %{name}


# -- post scripts for lib package --
%post -n libguppi%{major} -p /sbin/ldconfig
%postun -n libguppi%{major} -p /sbin/ldconfig

%post 
%{update_menus}

%postun
%{clean_menus}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

# -- Main Package --
%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BIBLIOGRAPHY ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/guppi/plug-ins/%{version}/*
#%{_libdir}/guppi/plug-ins/%{version}/*/*.so
#%{_libdir}/guppi/plug-ins/%{version}/*/*.scm
#%{_libdir}/guppi/plug-ins/%{version}/*/*.plugin
#%{_libdir}/guppi/plug-ins/%{version}/*/*.png
#%{_libdir}/guppi/plug-ins/%{version}/*/*.glade
%{_datadir}/aclocal/*
%{_datadir}/gnome/help/guppi/*
%{_datadir}/guppi/glade/*
%{_datadir}/guppi/scripts/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/Applications/guppi.desktop
%{_datadir}/oaf/GNOME_Guppi.oafinfo
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

# -- Devel Package --
%files -n libguppi%{major}-devel
%defattr(-, root, root)
%{_includedir}/libguppi/*
%{_includedir}/libguppitank/*
#%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/libguppiConf.sh
#%{_libdir}/%{name}/plug-ins/%{version}/*/*.a
#%{_libdir}/%{name}/plug-ins/%{version}/*/*.la

# -- Lib Package --
%files -n libguppi%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*


%changelog
* Fri Jul 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.5-7mdk 
- added support for gnumeric

* Sat Jun 15 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-6mdk
- BuildRequires: popt-devel

* Sat Jun 15 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-5mdk
- BuildRequires: db1-devel

* Sat Jun 15 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-4mdk
- BuildRequires: guile-devel

* Thu Jun 14 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-3mdk
- BuildRequires: oaf-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.5-2mdk 
- new office menu structure

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.5-1mdk 
- new version
- incremented major number

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.3-3mdk 
- Update menu in post/postun scripts

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.3-2mdk 
- Recompiled against latest gnome-print

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.3-1mdk 
- first mandrake spec file
- corrected files list (we do not own the whole /usr ;-)
- created devel and lib packages
- added icons and menu entry

* Sat Mar 04 2000 Jon Trowbridge <trow@gnu.org>

- Converted Guppi.spec to Guppi.spec.in.
- Tweaked the language in the summary & description.

* Mon Feb 28 2000 Jon Trowbridge <trow@gnu.org>

- Changed version to 0.34.3.

* Wed Feb 23 2000 Jon Trowbridge <trow@gnu.org>

- Updated to 0.34.2.

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>

- Updated to 0.34.1 (using repackaged source, ugh), spec file rewrite
- This 0.34.1 source disables readline due to broken libguilereadline.so
  problems in every guile 1.3.4 x86 RPM I've seen...

* Wed Jan 26 2000 Conrad Steenberg <conrad@srl.caltech.edu>

- Some Alpha fixes for configure
- Remove some unneeded stripping foo and just do a 'make install-strip' instead.
- Move this changelog to the bottom of the file :-)

* Mon Jan 24 2000 Kenny Graunke <graunke@teleport.com>

- First Guppi RPM
